import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)


/**
 * This class is the floor, and it's evil,
 * because it generates meteor shower!!!
 * @auther Softwhizjx
 * Version 1.1
 */
public class FloorEasy extends Actor
{
    /**
     * initialize object by draw the floor image, white flat world
     */
    public FloorEasy(){
        GreenfootImage image = new GreenfootImage(700, 40);
        image.setColor(Color.WHITE);
        image.fillRect(0, 0, 1800, 160);
        setImage(image);
        
    }
    
    /**
     * act method for the floor generates meteor shower
     */
    public void act(){
       
        
        if (Greenfoot.getRandomNumber(100) < 8){
            getWorld().addObject(new MeteorEasy(), Greenfoot.getRandomNumber(getWorld().getWidth()), 0);
        }
        
        if (collide(MeteorEasy.class)){
            Actor victim = getOneIntersectingObject(MeteorEasy.class);
        
                if(victim != null) {

                    Xmeteor world = (Xmeteor) getWorld();
                    
                    
                    
                    getWorld().removeObject(victim);
                    
       
                }
            
            
        } 
        
        World world = getWorld();

        if (Greenfoot.isKeyDown("r") && world != null && GameOver.gameIsOver == true){

            world.removeObject(this);
            
        }
        
    }
      /**
     * check collision
     */
    public boolean collide(Class hitObject){
        Actor hit = getOneIntersectingObject(hitObject);
        
        return hit != null;
    }
}
