import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)


/**
 * The main enemy to the game, METEOR!!!
 * It falls from the top random X position and radius sizes.
 * Somes are slow and somes are fast, and it's angle while falling ramdomly a little bit bented.
 * 
 * It's idea is from the floating bubbles from KU-CRAB.
 * 
 * @auther Softwhizjx
 * Version 1.0
 */
public class MeteorHard extends SmoothMover
{
    /**
     * set the meteor's apearance, size, speed, angle of falling randomly.
     */
    public MeteorHard(){
        //Random speed going down
        super(new Vector(Greenfoot.getRandomNumber(60)+60, Greenfoot.getRandomNumber(15)+10));
        
        int size = Greenfoot.getRandomNumber(40)+15;
        //White Ball
        GreenfootImage image = new GreenfootImage(size, size);
        image.setColor(Color.WHITE);
        image.fillOval(0, 0, size-5, size-5);
        setImage(image);
    }
    /**
     * move in screen.
     */
    public void act() 
    {
        moveFixedBound();
        
        World world = getWorld();

        if (Greenfoot.isKeyDown("r") && world != null && GameOver.gameIsOver == true){

            world.removeObject(this);
            
        }
    }    
    
    
}
