import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)


/**
 * The main enemy to the game, METEOR!!!
 * It falls from the top random X position and radius sizes.
 * Somes are slow and somes are fast, and it's angle while falling ramdomly a little bit bented.
 * 
 * It's idea is from the floating bubbles from KU-CRAB.
 * 
 * This version is for the title's background.
 * 
 * @auther Softwhizjx
 * Version 1.0
 */
public class MeteorTitle extends SmoothMover
{
    /**
     * set the meteor's apearance, size, speed, angle of falling randomly.
     * +Transpancy for the TITLE VERSION.
     */
    public MeteorTitle(){
        //Random speed going down
        super(new Vector(Greenfoot.getRandomNumber(30)+75, Greenfoot.getRandomNumber(5)+5));
        
        int size = Greenfoot.getRandomNumber(30)+20;
        //White Ball
        GreenfootImage image = new GreenfootImage(size, size);
        image.setColor(Color.WHITE);
        image.fillOval(0, 0, size-5, size-5);
        image.setTransparency(30);
        setImage(image);
    }
    /**
     * move in screen. if hit "enter", it disappears.
     */
    public void act() 
    {
        moveFixedBound();
        // get the world first so we can check if this object
        // is still in the world
        World world = getWorld();
        if (Greenfoot.isKeyDown("enter") && world != null){
            world.removeObject(this);
            
        }
        
    }    
    
    
}
