import greenfoot.*; 




/**
 * Text for showing ammunation.
 * 
 * @author softwhizjx
 * Version 1.0
 */
public class AmmoBoard extends Actor
{
    /** Set basic font*/
    //private Font font = new Font("Arial", Font.BOLD, 16);
    
    /** Set basic color*/
    private Color color = Color.WHITE;
    /** 
     * nothing
     */
    public AmmoBoard(){
    }
    public void act(){
        World world = getWorld();

        if (Greenfoot.isKeyDown("r") && world != null && GameOver.gameIsOver == true){

            world.removeObject(this);
            
        }
    }
    /** 
     * Wait until the Xmeteor calls the ammo.
     */
    public void updateAmmo(int ammo){
        
        setText("Ammo : "+ammo);
    }
    /** 
     * Draws the ammo.
     */
    public void setText(String msg){
        GreenfootImage scoreText = getImage();
        scoreText.clear();
        scoreText.setColor(color);
        //scoreText.setFont(font);
        scoreText.drawString(msg, 20, 20); 
    }
}
