import greenfoot.*; 


/**
 * Moving Ball, spawns randomly from the top.
 * 
 * @author Gafig
 * @version 1.1
 */
public class Ball extends SmoothMover
{
    private GreenfootImage ball1 = new GreenfootImage("ball1.png");
    private GreenfootImage ball2 = new GreenfootImage("ball2.png");
    private int frame =1;
    private int BorderBottom=10;
    private int BorderTop=10;

    public Ball(){
        super(new Vector(90,4+Greenfoot.getRandomNumber(3)));
        setImage(ball1);
        
    }
   
    public void act() 
    {
        move();    
       
        ResetPosition();

    }    
    
    public void ResetPosition()
    {
        {
            if(getY()>=getWorld().getHeight()-BorderBottom)
            {
                getWorld().addObject
                (new Ball(),Greenfoot.getRandomNumber(getWorld().getWidth()),BorderTop);
            }
            if(getY()>=getWorld().getHeight()-BorderBottom) 
            {
                getWorld().removeObject(this);
                
            }
        }
    }
}
