import greenfoot.*;  

/**
 * The word for players to know about the game's controls.
 * 
 * @author softwhizjx
 * Version 1.0
 */
public class Controls extends Title
{
    /** 
     * wait until you press enter to start the game, and disappear itself.
     */
    public void act() 
    {
        World world = getWorld();

        if (Greenfoot.isKeyDown("enter") && world != null){

            world.removeObject(this);
            
        }
    }    
}
