import greenfoot.*;  

/**
 * Soul of the loss player going to heaven.
 * @auther Softwhizjx
 * Version 1.0
 */
public class Died extends SmoothMover
{
    /** set speed and direction value */
    private static Vector FLOAT_SPEED = new Vector(-90, 2);
    
    /** set initial fade away */
    int fader = 100;
    
    /** numer of fade effect*/
    private final static int IMAGE_COUNT = 100;
    
    /** array of fading images */
    private static GreenfootImage[] images;
    
    /** initial fade adjuster */
    private int decrement = 1;
    /**
     * set speed and direction and Transparency.
     */
    public Died(){
        super(FLOAT_SPEED);
       
        initialiseImages();
        setImage(images[0]);
        
        
    }
    public synchronized static void initialiseImages(){
        if (images == null){
            GreenfootImage justDied = new GreenfootImage("player_die.png");
            int fade = 100;
            images = new GreenfootImage[IMAGE_COUNT];
            for(int i = IMAGE_COUNT - 1; i >= 0 ; i--){
                fade -= 1;
                images[i] = new GreenfootImage(justDied);
                images[i].setTransparency(fade);
                
            }
        }
    }
    /**
     * move
     */
    public void act() 
    {
        moveFixedBound();
        setImage(images[fader -1]);
        
        fader -= decrement;
        
        if (fader == 1){
            getWorld().removeObject(this);
        }
        
        World world = getWorld();

        if (Greenfoot.isKeyDown("r") && world != null && GameOver.gameIsOver == true){

            world.removeObject(this);
            
        }
        
    }    
}
