import greenfoot.*; 


/**
 * Extra Moving Ball, spawns randomly from the left.
 * 
 * @author Gafig
 * @version 1.1
 */
public class ExtraBallRight extends SmoothMover
{
    private GreenfootImage ball1 = new GreenfootImage("ball1.png");
    private int frame =1;
    private int LeftBorder=20;

    public ExtraBallRight(){
        super(new Vector(180,2+Greenfoot.getRandomNumber(3)));
        setImage(ball1);
    }
    
    public void act() 
    {
        move();
        
        ResetPosition();

    }    
    public void ResetPosition()
    {
        {

            if(getX()<=LeftBorder) 
            {
                getWorld().removeObject(this);
                
            }
        }
    }
}