import greenfoot.*; 


/**
 * Extra Moving Ball, spawns randomly from the bottom.
 * 
 * @author Gafig
 * @version 1.1
 */
public class ExtraBallUp extends SmoothMover
{
    private GreenfootImage ball1 = new GreenfootImage("ball1.png");
    private int frame =1;
    private int TopBorder=20;

    public ExtraBallUp(){
        super(new Vector(-90,2+Greenfoot.getRandomNumber(3)));
        setImage(ball1);
    }
    
    public void act() 
    {
        move();
        
        ResetPosition();

    }    
    public void ResetPosition()
    {
        {

            if(getY()<=TopBorder) 
            {
                getWorld().removeObject(this);
                
            }
        }
    }
}