import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Different from the original X-meteor's Player class...
 * Can now move in a 2D panel but cannot shoot any more.
 * 
 * @author Gafig
 * @version 1.1
 */
public class PlayerHardMode extends Actor
{
     /** Current speed horizonally*/
    private double speedX = 0;
    
    /** Current speed Vertically*/
    private double speedY = 0;
    
    /** MAX speed horizonally */
    private double MAX_SPEED = 12;  

    private int condi=0;
    
    private int frame = 1;
    
    /** image variables for changing player image*/
    private GreenfootImage imageNormal = new GreenfootImage("player.png");
    private GreenfootImage imageNormal2 = new GreenfootImage("player1.png");
    
    /**
     * Initialize image of the player.
     */
    public PlayerHardMode( )
    {
        setImage(imageNormal); 
    }
    /** 
     * Main control, if the player hits by the meteor or not.
     */
    public void act() 
    {
       pressControl();
       setLocation(getX() + (int)speedX, getY()+(int)speedY);
       
       
       if(collide(SmoothMover.class))
       {
        getWorld().removeObject(this);
       }

    }   

     /** 
     * Control to walk around the world.
     */
    private void pressControl(){
        
        
            if(Greenfoot.isKeyDown("left"))
            {
                if (speedX == -MAX_SPEED);
                else
                speedX -= 2;
            }
            else if(Greenfoot.isKeyDown("right"))
            {
                if (speedX == MAX_SPEED);
                else 
                speedX += 2;
            }
            else if(!Greenfoot.isKeyDown("down"))
            {
                if(!Greenfoot.isKeyDown("up"))
                {
                    if(speedX<0)
                    speedX+=1;
                    else if(speedX>0)
                    speedX-=1;
                }
            }
            //else if(PosX==edge::PosX==)
        
            if(Greenfoot.isKeyDown("up"))
            {
                if (speedY == -MAX_SPEED);
                else 
                    speedY -= 2;   
            }
            else if(Greenfoot.isKeyDown("down"))
            {
                if (speedY == MAX_SPEED);
                else 
                    speedY += 2;   
                }
            else if(!Greenfoot.isKeyDown("right"))
            {
                if(!Greenfoot.isKeyDown("left"))
                if(speedY<0)
                    speedY+=1;
                    else if(speedY>0)
                    speedY-=1;
            }
            
            
    }
    
    /** Check for collisions
     */
    public boolean collide(Class hitObject){
        Actor hit = getOneIntersectingObject(hitObject);
        
        return hit != null;
    }
}
