import greenfoot.*; 



/**
 * Text for showing scores.
 * 
 * @author softwhizjx
 * Version 1.0
 */
public class ScoreBoard extends Actor
{
    /** Set basic font*/
    //private Font font = new Font("Arial", Font.BOLD, 16);
    
    /** Set basic color*/
    private Color color = Color.WHITE;
    
    
    /** 
     * No Initializers
     */
    public ScoreBoard(){
        
        
    }
    /** 
     * Does nothing.
     */
    public void addedToWorld(World world) {
       // setText( "No score" );
    }
    /** 
     * Does nothing much.
     */
    public void act() 
    {
        // get the score from world
        
        // call setText to display score:
        // setText("Score: " + score );
        
        World world = getWorld();

        if (Greenfoot.isKeyDown("r") && world != null && GameOver.gameIsOver == true){

            world.removeObject(this);
            
        }
        
    }
    /** 
     * Wait until the Xmeteor calls the score.
     */
    public void updateScore(int score){
        
        setText("Score : "+score);
    }
    /** 
     * Draws the score.
     */
    public void setText(String msg){
        GreenfootImage scoreText = getImage();
        scoreText.clear();
        scoreText.setColor(color);
        //scoreText.setFont(font);
        scoreText.drawString(msg, 20, 20); 
    }
}
