import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

import greenfoot.*;

/**
 * The word for pressing Enter to play the game.
 * 
 * @author softwhizjx
 * Version 1.1
 */
public class SelectMode extends Title
{
    /**difficulty value*/
    int difficulty = 2;
    
    /** delayTimer, prevents rapid clicking*/
    int delayTimer = 0;
    
    int SecretTimer = 0;
    
    int diffmax = 3;
    
    /** 
     * Up and Down to move it to different difficulties.
     * wait until you press enter to start the game, and disappear itself.
     */
    public void act() 
    {
        delayTimer++;
        if (Greenfoot.isKeyDown("up") && difficulty > 1 && delayTimer >= 15){
            setLocation(getX(), getY()-43);
            Greenfoot.playSound("resume.wav");
            difficulty--;
            delayTimer = 0;
        } else if (Greenfoot.isKeyDown("down") && difficulty < diffmax && delayTimer >= 15){
            setLocation(getX(), getY()+43);
            Greenfoot.playSound("resume.wav");
            difficulty++;
            delayTimer = 0;
        }
        else if (Greenfoot.isKeyDown("down") && difficulty == 3 && delayTimer >= 15){
            SecretTimer++;
            if (SecretTimer == 100){
                setLocation(getX(), getY()+43);
                Greenfoot.playSound("secret.wav");
                diffmax++;
                difficulty++;
                getWorld().addObject(new SecretMode(), 364, 425);
            }

            
        }
        
        World world = getWorld();
        Xmeteor xxx = (Xmeteor) world;

        if (Greenfoot.isKeyDown("enter") && world != null){
            if (difficulty == 1) {
                xxx.setWorldEasy();
            } else if (difficulty == 2){
                xxx.setWorld();
            } else if (difficulty == 3){
                xxx.setWorldHard();
            } else if (difficulty == 4){
                Player.bgm.stop();
                Greenfoot.setWorld(new BackgroundWorld());
            }
                
            
            world.removeObject(this);
            
        }
    }    
}