import greenfoot.*;  

/**
 * Refill Ammunation Item.
 * 
 * @author softwhizjx
 * Version 1.0
 */
public class ShieldItem extends Bonus
{
    /** 
     * act, reappear again once collected by the player
     */
    public void act() 
    {
        int fall = 1;
        if (getY() <= 461){
            setLocation(getX(), getY()+fall);
            fall++;
        } else {
            fall = 0;
        }
        
        if (collide(Player.class)){
            Xmeteor world = (Xmeteor) getWorld();
            getWorld().addObject(new Shield(), getX(), 434);
            Greenfoot.playSound("shield.wav");
            getWorld().removeObject(this);
        }
        
        World world = getWorld();

        if (Greenfoot.isKeyDown("r") && world != null && GameOver.gameIsOver == true){

            world.removeObject(this);
            
        }
        
    }   
    /** 
     * Check for collisions
     */
    public boolean collide(Class hitObject){
        Actor hit = getOneIntersectingObject(hitObject);
        
        return hit != null;
    }
}
