import greenfoot.*;  

/**
 * Super Bonus in Heart Shape
 * 
 * @author softwhizjx
 * Version 1.0
 */
public class SuperBonus extends Bonus
{
    /** 
     * act, reappear again once collected by the player
     */
    public void act() 
    {
        int fall = 1;
        if (getY() <= 461){
            setLocation(getX(), getY()+fall);
            fall++;
        } else {
            fall = 0;
        }
        if (collide(Player.class)){
            Xmeteor world = (Xmeteor) getWorld();
            if (world.difficultyPlay == 1){
                world.addToScore(10);
            } else if (world.difficultyPlay == 2){
                world.addToScore(20);
            } else if (world.difficultyPlay == 3){
                world.addToScore(40);
            }
            Greenfoot.playSound("heart.wav");
            getWorld().removeObject(this);
        }
        
        World world = getWorld();

        if (Greenfoot.isKeyDown("r") && world != null && GameOver.gameIsOver == true){

            world.removeObject(this);
            
        }
        
    }   
    /** 
     * Check for collisions
     */
    public boolean collide(Class hitObject){
        Actor hit = getOneIntersectingObject(hitObject);
        
        return hit != null;
    }
}
